https://git.open-music-kontrollers.ch/~hp/lv2lint/commit/b9ee588bff38bcdc52859d2b2167e47feadf6a0d.patch

From b9ee588bff38bcdc52859d2b2167e47feadf6a0d Mon Sep 17 00:00:00 2001
From: Hanspeter Portner <dev@open-music-kontrollers.ch>
Date: Fri, 5 May 2023 12:04:53 +0200
Subject: [PATCH] Add build-tests configure option

--- a/meson.build
+++ b/meson.build
@@ -29,6 +29,7 @@ x11_tests = get_option('x11-tests')
 reuse = find_program('reuse', required : false)
 
 version = get_option('version')
+build_tests = get_option('build-tests')
 
 prefix= get_option('prefix')
 libdir= get_option('libdir')
@@ -133,9 +134,11 @@ configure_file(
   install : true,
   install_dir : 'bin')
 
-if reuse.found()
-  test('REUSE', reuse, args : [
-    '--root', meson.current_source_dir(),
-    'lint'
-  ])
+if build_tests
+  if reuse.found()
+    test('REUSE', reuse, args : [
+      '--root', meson.current_source_dir(),
+      'lint'
+    ])
+  endif
 endif
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -1,7 +1,8 @@
 # SPDX-FileCopyrightText: Hanspeter Portner <dev@open-music-kontrollers.ch>
 # SPDX-License-Identifier: CC0-1.0
 
+option('build-tests', type : 'boolean', value : true)
 option('online-tests', type : 'feature', value : 'disabled')
 option('elf-tests', type : 'feature', value : 'disabled')
 option('x11-tests', type : 'feature', value : 'disabled')
-option('version', type : 'string', value : '0.17.81')
+option('version', type : 'string', value : '0.17.83')
-- 
2.38.4
